"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import sys
if sys.version_info.major != 3:
    print('You must use Python 3.x version to run this unit test')
    sys.exit(1)

import unittest

import player

class TestPlayerGetName(unittest.TestCase):
    def test001_exists(self):
        self.assertTrue('getName' in dir(player.Player),
            'Function "getName" is not defined, check your spelling')

    def test002_getName(self):
        from player import Player
        expected = 'Luke'
        p = Player(expected)
        name = p.getName()
        self.assertEqual(name, expected, 'Your result (%s) did not match the expected name (%s)' % (name, expected))

    def test003_getName(self):
        from player import Player
        expected = 'Leia'
        p = Player(expected)
        name = p.getName()
        self.assertEqual(name, expected, 'Your result (%s) did not match the expected name (%s)' % (name, expected))

    def test004_getName_random(self):
        from player import Player
        from random import choice
        letters = 'abcdefghijklmnopqrstuvwxyz'
        expected = ''.join(choice(letters) for _ in range(10))
        p = Player(expected)
        name = p.getName()
        self.assertEqual(name, expected, 'Your result (%s) did not match the expected name (%s)' % (name, expected))

    def test005_getName_empty(self):
        from player import Player
        expected = ''
        p = Player(expected)
        name = p.getName()
        self.assertEqual(name, expected, 'The name can be an empty string')

if __name__ == '__main__':
    unittest.main()
