"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import sys

if sys.version_info.major != 3:
    print('You must use Python 3.x version to run this unit test')
    sys.exit(1)

import unittest
import player


class TestPlayerInit(unittest.TestCase):
    def test001_exists(self):
        self.assertTrue('Player' in dir(player),
            'class "Player" is not defined, check your spelling')

    def test002_twoOrMoreDataMembers(self):
        from player import Player
        p = Player('Luke')
        datamembers = p.__dict__
        self.assertGreaterEqual(len(datamembers), 2,
            'You did not save enough datamembers. You should have at least `name` and `letters`')

    def test003_nameIsSaved(self):
        from player import Player
        p = Player('Luke')
        datamembers = p.__dict__

        Flag = False
        for k in datamembers:
            if datamembers[k] == 'Luke':
                Flag = True
        self.assertTrue(Flag, 'The value of name was not saved in a datamember.')

    def test004_lettersIsCreated(self):
        from player import Player
        p = Player('Luke')
        datamembers = p.__dict__

        Flag = False
        for k in datamembers:
            if isinstance(datamembers[k], list):
                Flag = True
        self.assertTrue(Flag, 'No datamember found for the players letters.')


if __name__ == '__main__':
    unittest.main()
